## org.apache.myfaces.renderkit.html
Class HtmlCheckboxRendererBase

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlCheckboxRendererBase

Direct Known Subclasses:
  HtmlCheckboxRenderer

public class HtmlCheckboxRendererBase
extends HtmlRenderer

Version:
  $Revision: 291887 $ $Date: 2005-09-27 06:09:38 -0400 (Tue, 27 Sep 2005) $
Author:
  Thomas Spiegl (latest modification by $Author: baranda $), Anton Koinov

Constructor Summary
`HtmlCheckboxRendererBase()`

Method Summary
`void` `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`java.lang.Object` `getConvertedValue(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.Object submittedValue)`
`protected java.lang.String` `getLayout(javax.faces.component.UISelectMany selectMany)`
`protected boolean` `isDisabled(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`protected void` `renderCheckbox(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, java.lang.String value, java.lang.String label, boolean disabled, boolean checked, boolean renderId)`
`void` `renderCheckboxList(javax.faces.context.FacesContext facesContext, javax.faces.component.UISelectMany selectMany)`
`protected void` `renderGroupOrItemCheckbox(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent, javax.faces.model.SelectItem selectItem, boolean useSubmittedValues, java.util.Set lookupSet, javax.faces.convert.Converter converter, boolean pageDirectionLayout)`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlRenderer
`encodeChildren`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, encodeBegin, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlCheckboxRendererBase

    public HtmlCheckboxRendererBase()

Method Detail

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderCheckboxList

    public void renderCheckboxList(javax.faces.context.FacesContext facesContext,
                                   javax.faces.component.UISelectMany selectMany)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`

### getLayout

    protected java.lang.String getLayout(javax.faces.component.UISelectMany selectMany)

### renderGroupOrItemCheckbox

    protected void renderGroupOrItemCheckbox(javax.faces.context.FacesContext facesContext,
                                             javax.faces.component.UIComponent uiComponent,
                                             javax.faces.model.SelectItem selectItem,
                                             boolean useSubmittedValues,
                                             java.util.Set lookupSet,
                                             javax.faces.convert.Converter converter,
                                             boolean pageDirectionLayout)
                                      throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderCheckbox

    protected void renderCheckbox(javax.faces.context.FacesContext facesContext,
                                  javax.faces.component.UIComponent uiComponent,
                                  java.lang.String value,
                                  java.lang.String label,
                                  boolean disabled,
                                  boolean checked,
                                  boolean renderId)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### isDisabled

    protected boolean isDisabled(javax.faces.context.FacesContext facesContext,
                                 javax.faces.component.UIComponent component)

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent component)

### getConvertedValue

    public java.lang.Object getConvertedValue(javax.faces.context.FacesContext facesContext,
                                              javax.faces.component.UIComponent component,
                                              java.lang.Object submittedValue)
                                       throws javax.faces.convert.ConverterException

  Throws:
    `javax.faces.convert.ConverterException`